package lithium.classloadertest.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import lithium.classloadertest.FunctionalTestClassLoader;

import org.springframework.test.context.ContextConfiguration;

/**
 * A method with this annotation on a class designated as the entryClass for a {@link FunctionalTestClassLoader}, will be called
 * when the FunctionalTestClassLoader establishes the instance of the entryClass during its initialization.  If the entryClass
 * has the {@link ContextConfiguration} annotation also, the method designated with {@link ClassLoaderInit} will be called
 * before Spring is initialized.
 * 
 * @author jeff.collins
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface ClassLoaderInit {

}
